# dipy_concatenate_tractograms

## Synopsis

Concatenate multiple tractograms into one.

## Usage

    dipy_concatenate_tractograms [OPTIONS] tractogram_list

## Input Parameters

- `tractogram_list`

  The stateful tractogram filenames to concatenate

## General Options

- `--reference`

  Reference anatomy for tck/vtk/fib/dpy file. support (.nii or .nii.gz). (default: None)

- `--delete_dpv`

  Delete dpv keys that do not exist in all the provided TrxFiles (default: False)

- `--delete_dps`

  Delete dps keys that do not exist in all the provided TrxFile (default: False)

- `--delete_groups`

  Delete all the groups that currently exist in the TrxFiles (default: False)

- `--check_space_attributes`

  Verify that dimensions and size of data are similar between all the TrxFiles (default: True)

- `--preallocation`

  Preallocated TrxFile has already been generated and is the first element in trx_list (Note: delete_groups must be set to True as well) (default: False)

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

- `--out_extension`

  Extension of the resulting tractogram (default: trx)

- `--out_tractogram`

  Name of the resulting tractogram (default: concatenated_tractogram)

## References

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.